tt_content:

  ## Configuration for a specific field
  field:

    example:
      # key of the item which is default, it gets moved to the top of all items later
      # if this is not set a element "Default" without a value will be added
      default: value
      # list of available items
      items:
        key1:
          label: Element 1
          icon: icon-identifier-key1
          description: This items description text
        key2:
          label: Element 2
          icon: icon-identifier-key2
          description: This items description text

    space_inner_class:
      default: medium
      items:
        small:
          label: Klein
        medium:
          label: Mittel
        large:
          label: Large
        none:
          label: Kein Abstand
        custom:
          label: Individuell

    space_inner_before_class:
      default: medium
      items:
        small:
          label: Klein
        medium:
          label: Mittel
        large:
          label: Large
        none:
          label: Kein Abstand

    space_inner_after_class:
      default: medium
      items:
        small:
          label: Klein
        medium:
          label: Mittel
        large:
          label: Large
        none:
          label: Kein Abstand

    space_before_class:
      default: medium
      items:
        small:
          label: Klein
        medium:
          label: Mittel
        large:
          label: Large
        none:
          label: Kein Abstand

    space_after_class:
      default: medium
      items:
        small:
          label: Klein
        medium:
          label: Mittel
        large:
          label: Large
        none:
          label: Kein Abstand

    container:
      default: default
      items:
        default:
          label: Normal
        extended:
          label: Erweitert
        full:
          label: Volle Breite
        none:
          label: Kein Container

    frame_class:
      default: default
      items:
        default:
          label: Standard
        light:
          label: Hell
        primary:
          label: Primärfarbe
        dark:
          label: Dunkel


  ## type based overrides and changes on the items
  types:

    example-type:
      space_inner_class:
        # changes the default item to the given key
        default: huge
        # removes all items with the given keys
        removeItems: small,medium
        # adds some new items or overrides them if the key already exists
        addItems:
          huge:
            label: Huge
        # setting items overrides all existing ones and ignores addItems and removeItems
        items:
          single:
            label: Single item

    accordion:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        removeItems: full
      layout:
        items:
          slim:
            label: Kompakt

    banner:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: none
        removeItems: default,extended

    features:
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
        removeItems: none,extended,full
      frame_class:
        removeItems: primary

    gridelements_pi1:
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
      frame_class:
        default: default

    hero:
      space_before_class:
        default: default
      space_after_class:
        default: default
      frame_class:
        default: default
        removeItems:
          light,primary,dark
      container:
        default: none
        removeItems: default,extended,full
      space_inner_class:
        default: custom
        removeItems: small,medium,large
      space_inner_before_class:
        default: none
        removeItems: small,medium,large
      space_inner_after_class:
        default: none
      layout:
        default: default
        items:
          default:
            label: dunkles Overlay
          light:
            label: helles Overlay
          centered:
            label: zentriert
    hero-reference:
      space_before_class:
        default: default
      space_after_class:
        default: default
      frame_class:
        default: default
        removeItems:
          light,primary,dark
      container:
        default: none
        removeItems: default,extended,full
      space_inner_class:
        default: custom
        removeItems: small,medium,large
      space_inner_before_class:
        default: none
        removeItems: small,medium,large
      space_inner_after_class:
        default: none

    text:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      layout:
        default: none
        items:
          none:
            label: none
      container:
        default: default
        removeItems: none

    blockquote:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
        removeItems: none,extended,full
        items:
          default:
            label: Normal
          smaller:
            label: Kleiner
      layout:
        default: simple
        items:
          simple:
            label: einfaches Zitat
            icon: content-text
          teaser:
            label: Zitat mit Bild
            icon: content-textpic
          simplebig:
            label: einfaches Zitat Groß
            icon: content-text
          teaserbig:
            label: Zitat mit Bild Groß
            icon: content-textpic

    brandBand:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
        removeItems: none,extended,full
      layout:
        default: small
        items:
          small:
            label: kleine Logo-Leiste
          large:
            label: große Logo-Leiste

    textmedia:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
        removeItems: none,extended,full
      layout:
        default: media-left
        items:
          media-left:
            label: Galerie Links
            icon: content-beside-text-img-left
          media-right:
            label: Galerie Rechts
            icon: content-beside-text-img-right
          media-simple-left:
            label: Einfache Medien Links
            icon: content-beside-text-img-left
          media-simple-right:
            label: Einfache Medien Rechts
            icon: content-beside-text-img-right

    media:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
        removeItems: none,extended,full
      layout:
        default: simple
        items:
          simple:
            label: Einfach
            icon: content-media
          tiles:
            label: Kacheln
            icon: content-media
          slider:
            label: Slider
            icon: content-carousel-image
          sliderAuto:
            label: Slider Auto
            icon: content-carousel-image

    timeline:
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        removeItems: full,extended,none
      frame_class:
        removeItems: primary

    list:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: none
        removeItems: extended,full,default
      space_inner_class:
        default: none

    spot:
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      frame_class:
        removeItems: primary,secondary,dark,darkblue,transparent,transparent-light,none

    cards:
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      frame_class:
        removeItems: primary,secondary,dark,darkblue,transparent,transparent-light,none
      container:
        removeItems: none

    menu_subpages:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
      layout:
        default: simple
        items:
          simple:
            label: Text
          image:
            label: Text mit Bild (Slider)
          imageGrid:
            label: Text mit Bild (Grid)
          product:
            label: Produkte (Slider)
          productGrid:
            label: Produkte (Grid)
          referenceSlider:
            label: Referenzen (Slider)
          referenceGrid:
            label: Referenzen (Grid)

    menu_pages:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
      layout:
        default: simple
        items:
          simple:
            label: Text
          image:
            label: Text mit Bild (Slider)
          imageGrid:
            label: Text mit Bild (Grid)
          product:
            label: Produkte (Slider)
          productGrid:
            label: Produkte (Grid)
          referenceSlider:
            label: Referenzen (Slider)
          referenceGrid:
            label: Referenzen (Grid)

    menu_categorized_pages:
      frame_class:
        default: default
      space_before_class:
        default: default
      space_inner_class:
        default: default
      space_after_class:
        default: default
      space_inner_before_class:
        default: default
      space_inner_after_class:
        default: default
      container:
        default: default
      layout:
        default: simple
        items:
          simple:
            label: Text
          image:
            label: Text mit Bild (Slider)
          imageGrid:
            label: Text mit Bild (Grid)
          product:
            label: Produkte (Slider)
          productGrid:
            label: Produkte (Grid)
          referenceSlider:
            label: Referenzen (Slider)
          referenceGrid:
            label: Referenzen (Grid)
